System.Security 2.0.0.0 4.0.0.0 System.Object

This class corresponds to an ASN.1 structure defined in the Cryptographic Message Syntax standards specification.

Contains a type and a collection of values associated with that type.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an attribute represented by the specified object.

  The attribute to store in this object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an attribute represented by the specified object and the set of values associated with that attribute represented by the specified collection.

  The attribute to store in this object.
  The set of values associated with the attribute represented by the parameter.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Oid To be added. To be added.

  Gets the object that specifies the object identifier for the attribute.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.AsnEncodedDataCollection To be added. To be added.

  Gets the collection that contains the set of values that are associated with the attribute.